html, body {
    font-family: 'Inter', 'Helvetica', 'Arial', sans-serif;
}

#blazor-error-ui {
    background: #ffffe0;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.loading-progress {
    position: relative;
    display: block;
    width: 80%;
    height: 4px;
    margin: 20vh auto 0;
    background-color: rgba(89, 74, 226, 0.2);
    border-radius: 2px;
    overflow: hidden;
}

.loading-progress-bar {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0%;
    background-color: #594AE2;
    animation: loading-progress 2s ease-in-out infinite;
    border-radius: 2px;
}

@keyframes loading-progress {
    0% { width: 0%; left: 0; }
    50% { width: 50%; left: 25%; }
    100% { width: 0%; left: 100%; }
}
